{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "PAGE.CAPTION.TEST.USR04083945EDITVIEW"
  },
  "caption" : "测试多数据支持界面行为",
  "codeName" : "TESTUsr04083945EditView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr04083945EditView.json",
  "name" : "TESTUsr04083945EditView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "EditView",
    "name" : "engine"
  } ],
  "getPSControls" : [ {
    "codeName" : "Usr04083945EditViewtoolbar",
    "controlType" : "TOOLBAR",
    "logicName" : "测试多数据支持界面行为_工具栏",
    "name" : "toolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : {
      "id" : "TOOLBAR"
    },
    "xDataControlName" : "form",
    "modelid" : "226F0298-15F6-4370-A262-964A07FBECB5",
    "modeltype" : "PSDETOOLBAR"
  }, {
    "codeName" : "Usr04083945EditView_Form",
    "controlType" : "FORM",
    "getCreatePSControlAction" : {
      "modelref" : true,
      "id" : "create",
      "actionName" : "Create",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "create",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Create"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSFORMS/Usr04083945EditView_Form.json",
    "getGetDraftFromPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraftfrom",
      "actionName" : "GETDRAFTFROM",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "loaddraftfrom",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "getGetDraftPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraft",
      "actionName" : "GetDraft",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "loaddraft",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "GetDraft"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "getGetPSControlAction" : {
      "modelref" : true,
      "id" : "load",
      "actionName" : "Get",
      "actionType" : "DEACTION",
      "dataAccessAction" : "READ",
      "name" : "load",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Get"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "logicName" : "测试多数据支持界面行为_表单",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "GETDRAFTFROM",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraftfrom",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "编辑表单处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "FORM"
    },
    "getPSDEFormItems" : [ {
      "id" : "srfupdatedate",
      "hidden" : true,
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "id" : "srforikey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfkey",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "TESTID",
        "codeName" : "TESTId"
      }
    }, {
      "id" : "srfmajortext",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "TESTNAME",
        "codeName" : "TESTName"
      }
    }, {
      "id" : "srftempmode",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfuf",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfdeid",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfsourcekey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "testname",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "TESTNAME",
        "codeName" : "TESTName"
      }
    }, {
      "id" : "createman",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "CREATEMAN",
        "codeName" : "CreateMan"
      }
    }, {
      "id" : "createdate",
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "CREATEDATE",
        "codeName" : "CreateDate"
      }
    }, {
      "id" : "updateman",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      }
    }, {
      "id" : "updatedate",
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "id" : "testid",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "TESTID",
        "codeName" : "TESTId"
      }
    } ],
    "getPSDEFormPages" : [ {
      "getCapPSLanguageRes" : {
        "lanResTag" : "CONTROL.DEFORM.TEST.USR04083945EDITVIEW_FORM.FORMPAGE.FORMPAGE1"
      },
      "caption" : "基本信息",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "name" : "formpage1",
      "getPSDEFormDetails" : [ {
        "actionGroupExtractMode" : "ITEM",
        "getCapPSLanguageRes" : {
          "lanResTag" : "CONTROL.DEFORM.TEST.USR04083945EDITVIEW_FORM.GROUPPANEL.GROUP1"
        },
        "caption" : "测试实体基本信息",
        "codeName" : "group1",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "name" : "group1",
        "getPSDEFormDetails" : [ {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.TESTNAME"
          },
          "caption" : "测试实体名称",
          "codeName" : "testname",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "testname",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "TESTNAME",
            "codeName" : "TESTName"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "maxLength" : 50,
            "minLength" : 3,
            "name" : "testname"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSUIActionGroup" : {
          "codeName" : "A3fc11f2fe4b28d6aed",
          "name" : "表格界面行为组1",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          },
          "getPSUIActionGroupDetails" : [ {
            "caption" : "向导新建",
            "detailType" : "DEUIACTION",
            "name" : "u91bbf2e",
            "getPSUIAction" : {
              "actionTarget" : "NONE",
              "caption" : "向导新建",
              "codeName" : "newWizard",
              "getFrontPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTWizardView.json",
                "viewType" : "DEWIZARDVIEW"
              },
              "frontProcessType" : "TOP",
              "fullCodeName" : "TEST_newWizard",
              "name" : "向导新建",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              },
              "uIActionMode" : "FRONT",
              "uIActionTag" : "newWizard",
              "uIActionType" : "DEUIACTION",
              "id" : "newWizard@TEST"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          }, {
            "caption" : "向导编辑",
            "detailType" : "DEUIACTION",
            "name" : "u6b43313",
            "getPSUIAction" : {
              "actionTarget" : "SINGLEKEY",
              "caption" : "向导编辑",
              "codeName" : "editWizard",
              "getFrontPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTWizardView.json",
                "viewType" : "DEWIZARDVIEW"
              },
              "frontProcessType" : "TOP",
              "fullCodeName" : "TEST_editWizard",
              "name" : "向导编辑",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              },
              "uIActionMode" : "FRONT",
              "uIActionTag" : "editWizard",
              "uIActionType" : "DEUIACTION",
              "id" : "editWizard@TEST"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          } ],
          "uniqueTag" : "TEST__A3fc11f2fe4b28d6aed"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      }, {
        "actionGroupExtractMode" : "ITEM",
        "buildInActions" : 7,
        "codeName" : "mdctrl1",
        "getContentPSControl" : {
          "autoSaveMode" : 1,
          "codeName" : "Simpleform",
          "controlType" : "FORM",
          "getCreatePSControlAction" : {
            "modelref" : true,
            "id" : "create",
            "actionName" : "Create",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "create",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Create"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            }
          },
          "defaultLabelWidth" : 130,
          "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSFORMS/Simpleform.json",
          "getGetDraftFromPSControlAction" : {
            "modelref" : true,
            "id" : "loaddraftfrom",
            "actionName" : "GETDRAFTFROM",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "loaddraftfrom",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            }
          },
          "getGetDraftPSControlAction" : {
            "modelref" : true,
            "id" : "loaddraft",
            "actionName" : "GetDraft",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "loaddraft",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "GetDraft"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            }
          },
          "getGetPSControlAction" : {
            "modelref" : true,
            "id" : "load",
            "actionName" : "Get",
            "actionType" : "DEACTION",
            "dataAccessAction" : "READ",
            "name" : "load",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Get"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            }
          },
          "logicName" : "简单表单",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          },
          "getPSControlHandler" : {
            "getPSHandlerActions" : [ {
              "actionName" : "GetDraft",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "loaddraft",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "GetDraft"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            }, {
              "actionName" : "GETDRAFTFROM",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "loaddraftfrom",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            }, {
              "actionName" : "Get",
              "actionType" : "DEACTION",
              "dataAccessAction" : "READ",
              "name" : "load",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Get"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            }, {
              "actionName" : "Create",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "create",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Create"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            }, {
              "actionName" : "Update",
              "actionType" : "DEACTION",
              "dataAccessAction" : "UPDATE",
              "name" : "update",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Update"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            }, {
              "actionName" : "Remove",
              "actionType" : "DEACTION",
              "dataAccessAction" : "DELETE",
              "name" : "remove",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Remove"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            } ],
            "enableDEFieldPrivilege" : false,
            "id" : "编辑表单处理器"
          },
          "getPSControlParam" : {
            "autoLoad" : true,
            "showBusyIndicator" : true
          },
          "getPSDEFormItems" : [ {
            "id" : "srfupdatedate",
            "hidden" : true,
            "dataType" : 5,
            "getPSAppDEField" : {
              "name" : "UPDATEDATE",
              "codeName" : "UpdateDate"
            }
          }, {
            "id" : "srforikey",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "srfkey",
            "hidden" : true,
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "TESTID",
              "codeName" : "TESTId"
            }
          }, {
            "id" : "srfmajortext",
            "hidden" : true,
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "TESTNAME",
              "codeName" : "TESTName"
            }
          }, {
            "id" : "srftempmode",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "srfuf",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "srfdeid",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "srfsourcekey",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "testname",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "TESTNAME",
              "codeName" : "TESTName"
            }
          }, {
            "id" : "type",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "TYPE",
              "codeName" : "Type"
            }
          }, {
            "id" : "order",
            "dataType" : 9,
            "getPSAppDEField" : {
              "name" : "ORDER",
              "codeName" : "Order"
            }
          }, {
            "id" : "testid",
            "hidden" : true,
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "TESTID",
              "codeName" : "TESTId"
            }
          } ],
          "getPSDEFormPages" : [ {
            "getCapPSLanguageRes" : {
              "lanResTag" : "CONTROL.DEFORM.TEST.SIMPLEFORM.FORMPAGE.FORMPAGE1"
            },
            "caption" : "基本信息",
            "codeName" : "formpage1",
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMPAGE",
            "name" : "formpage1",
            "getPSDEFormDetails" : [ {
              "getCapPSLanguageRes" : {
                "lanResTag" : "DEF.LNAME.TESTNAME"
              },
              "caption" : "测试实体名称",
              "codeName" : "testname",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "testname",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "TESTNAME",
                "codeName" : "TESTName"
              },
              "getPSEditor" : {
                "editorType" : "TEXTBOX",
                "maxLength" : 50,
                "minLength" : 3,
                "name" : "testname"
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "showCaption" : true
            }, {
              "getCapPSLanguageRes" : {
                "lanResTag" : "DEF.LNAME.TYPE"
              },
              "caption" : "类型",
              "codeName" : "type",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "type",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "TYPE",
                "codeName" : "Type"
              },
              "getPSEditor" : {
                "editorType" : "RADIOBUTTONLIST",
                "name" : "type",
                "getPSAppCodeList" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/Test__TestType.json"
                }
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "needCodeListConfig" : true,
              "showCaption" : true
            }, {
              "getCapPSLanguageRes" : {
                "lanResTag" : "DEF.LNAME.ORDER"
              },
              "caption" : "排序属性",
              "codeName" : "order",
              "dataType" : 9,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "order",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "ORDER",
                "codeName" : "Order"
              },
              "getPSEditor" : {
                "editorType" : "TEXTBOX",
                "name" : "order"
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "showCaption" : true
            }, {
              "getCapPSLanguageRes" : {
                "lanResTag" : "DEF.LNAME.TESTID"
              },
              "caption" : "测试实体标识",
              "codeName" : "testid",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "testid",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "TESTID",
                "codeName" : "TESTId"
              },
              "getPSEditor" : {
                "editorType" : "HIDDEN",
                "name" : "testid"
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "hidden" : true
            } ],
            "getPSLayout" : {
              "childColMD" : 24,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "infoGroupMode" : false
          } ],
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getRemovePSControlAction" : {
            "modelref" : true,
            "id" : "remove",
            "actionName" : "Remove",
            "actionType" : "DEACTION",
            "dataAccessAction" : "DELETE",
            "name" : "remove",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Remove"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            }
          },
          "tabHeaderPos" : "TOP",
          "getUpdatePSControlAction" : {
            "modelref" : true,
            "id" : "update",
            "actionName" : "Update",
            "actionType" : "DEACTION",
            "dataAccessAction" : "UPDATE",
            "name" : "update",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Update"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            }
          },
          "enableAutoSave" : true,
          "noTabHeader" : true,
          "name" : "mdctrl1_form",
          "modelid" : "0C16F312-69FB-479A-87A2-2FCA71659888",
          "modeltype" : "PSDEFORM_EDITFORM"
        },
        "contentType" : "FORM",
        "detailStyle" : "DEFAULT",
        "detailType" : "MDCTRL",
        "name" : "mdctrl1",
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSUIActionGroup" : {
          "name" : "打开百度",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          },
          "getPSUIActionGroupDetails" : [ {
            "caption" : "百度",
            "detailType" : "DEUIACTION",
            "name" : "ue84b897",
            "getPSUIAction" : {
              "actionTarget" : "NONE",
              "caption" : "百度",
              "codeName" : "openbaidu",
              "frontProcessType" : "OPENHTMLPAGE",
              "fullCodeName" : "TEST_openbaidu",
              "htmlPageUrl" : "https://www.baidu.com/",
              "name" : "打开百度",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              },
              "uIActionMode" : "FRONT",
              "uIActionTag" : "openbaidu",
              "uIActionType" : "DEUIACTION",
              "id" : "openbaidu@TEST"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          } ]
        },
        "infoGroupMode" : false,
        "showCaption" : true
      }, {
        "actionGroupExtractMode" : "ITEM",
        "buildInActions" : 7,
        "codeName" : "mdctrl2",
        "getContentPSControl" : {
          "codeName" : "SIMPLELIST2",
          "controlType" : "LIST",
          "getCreatePSControlAction" : {
            "modelref" : true,
            "id" : "create",
            "actionName" : "Create",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "create",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Create"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            }
          },
          "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSLISTS/SIMPLELIST2.json",
          "getFetchPSControlAction" : {
            "modelref" : true,
            "id" : "fetch",
            "actionType" : "DEDATASET",
            "name" : "fetch",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "FetchDefault"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            }
          },
          "getGetPSControlAction" : {
            "modelref" : true,
            "id" : "load",
            "actionName" : "Get",
            "actionType" : "DEACTION",
            "dataAccessAction" : "READ",
            "name" : "load",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Get"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            }
          },
          "groupMode" : "NONE",
          "getItemPSLayoutPanel" : {
            "codeName" : "Usr0703522176",
            "controlType" : "PANEL",
            "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSPANELS/Usr0703522176.json",
            "layoutMode" : "TABLE_24COL",
            "logicName" : "List4_列表项面板",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            },
            "getPSControlParam" : { },
            "getPSLayout" : {
              "childColMD" : 24,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "getRootPSPanelItems" : [ {
              "itemStyle" : "DEFAULT",
              "itemType" : "CONTAINER",
              "name" : "page_container",
              "getPSLayout" : {
                "dir" : "column",
                "layout" : "FLEX"
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              }
            } ],
            "name" : "mdctrl2_list_itempanel",
            "modelid" : "77736672-CEE7-4A71-A7B6-5CD36EADD162",
            "modeltype" : "PSSYSVIEWPANEL"
          },
          "logicName" : "List4",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          },
          "getPSControlHandler" : {
            "getPSHandlerActions" : [ {
              "actionName" : "Get",
              "actionType" : "DEACTION",
              "dataAccessAction" : "READ",
              "name" : "load",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Get"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            }, {
              "actionName" : "Create",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "create",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Create"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            }, {
              "actionName" : "Update",
              "actionType" : "DEACTION",
              "dataAccessAction" : "UPDATE",
              "name" : "update",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Update"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            }, {
              "actionName" : "Remove",
              "actionType" : "DEACTION",
              "dataAccessAction" : "DELETE",
              "name" : "remove",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Remove"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            }, {
              "actionType" : "DEDATASET",
              "name" : "fetch",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "FetchDefault"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            } ],
            "userDRAction" : "READ",
            "enableDEFieldPrivilege" : false,
            "id" : "列表控件处理器"
          },
          "getPSControlParam" : {
            "autoLoad" : true,
            "showBusyIndicator" : true
          },
          "getPSDEDataImport" : {
            "modelref" : true,
            "id" : "DataImport"
          },
          "getPSDEListDataItems" : [ {
            "dataType" : 25,
            "name" : "srfkey",
            "getPSAppDEField" : {
              "name" : "TESTID",
              "codeName" : "TESTId"
            }
          }, {
            "dataType" : 25,
            "name" : "srfmajortext",
            "getPSAppDEField" : {
              "name" : "TESTNAME",
              "codeName" : "TESTName"
            }
          } ],
          "pagingSize" : 1000,
          "getRemovePSControlAction" : {
            "modelref" : true,
            "id" : "remove",
            "actionName" : "Remove",
            "actionType" : "DEACTION",
            "dataAccessAction" : "DELETE",
            "name" : "remove",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Remove"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            }
          },
          "getUpdatePSControlAction" : {
            "modelref" : true,
            "id" : "update",
            "actionName" : "Update",
            "actionType" : "DEACTION",
            "dataAccessAction" : "UPDATE",
            "name" : "update",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Update"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            }
          },
          "hasWFDataItems" : false,
          "enableGroup" : false,
          "enableRowEdit" : false,
          "enableRowEditGroup" : false,
          "enableRowEditOrder" : false,
          "enableRowNew" : false,
          "noSort" : false,
          "showHeader" : true,
          "singleSelect" : false,
          "name" : "mdctrl2_list",
          "modelid" : "0FC49958-7E74-443B-A006-36FFB481BBC9",
          "modeltype" : "PSDELIST"
        },
        "contentType" : "LIST",
        "detailStyle" : "DEFAULT",
        "detailType" : "MDCTRL",
        "name" : "mdctrl2",
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSUIActionGroup" : {
          "codeName" : "A3fc11f2fe4b28d6aed",
          "name" : "表格界面行为组1",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          },
          "getPSUIActionGroupDetails" : [ {
            "caption" : "向导新建",
            "detailType" : "DEUIACTION",
            "name" : "u91bbf2e",
            "getPSUIAction" : {
              "actionTarget" : "NONE",
              "caption" : "向导新建",
              "codeName" : "newWizard",
              "getFrontPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTWizardView.json",
                "viewType" : "DEWIZARDVIEW"
              },
              "frontProcessType" : "TOP",
              "fullCodeName" : "TEST_newWizard",
              "name" : "向导新建",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              },
              "uIActionMode" : "FRONT",
              "uIActionTag" : "newWizard",
              "uIActionType" : "DEUIACTION",
              "id" : "newWizard@TEST"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          }, {
            "caption" : "向导编辑",
            "detailType" : "DEUIACTION",
            "name" : "u6b43313",
            "getPSUIAction" : {
              "actionTarget" : "SINGLEKEY",
              "caption" : "向导编辑",
              "codeName" : "editWizard",
              "getFrontPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTWizardView.json",
                "viewType" : "DEWIZARDVIEW"
              },
              "frontProcessType" : "TOP",
              "fullCodeName" : "TEST_editWizard",
              "name" : "向导编辑",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              },
              "uIActionMode" : "FRONT",
              "uIActionTag" : "editWizard",
              "uIActionType" : "DEUIACTION",
              "id" : "editWizard@TEST"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          } ],
          "uniqueTag" : "TEST__A3fc11f2fe4b28d6aed"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      }, {
        "actionGroupExtractMode" : "ITEM",
        "buildInActions" : 7,
        "codeName" : "mdctrl3",
        "getContentPSControl" : {
          "aggMode" : "NONE",
          "codeName" : "CrmGridView_Grid",
          "columnEnableFilter" : 2,
          "columnEnableLink" : 2,
          "controlType" : "GRID",
          "getCreatePSControlAction" : {
            "actionName" : "Create",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "create",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Create"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            }
          },
          "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSGRIDS/CrmGridView_Grid.json",
          "getFetchPSControlAction" : {
            "modelref" : true,
            "id" : "fetch",
            "actionType" : "DEDATASET",
            "name" : "fetch",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "FetchDefault"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            }
          },
          "getGetDraftPSControlAction" : {
            "actionName" : "GetDraft",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "loaddraft",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "GetDraft"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            }
          },
          "getGetPSControlAction" : {
            "actionName" : "Get",
            "actionType" : "DEACTION",
            "dataAccessAction" : "READ",
            "name" : "load",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Get"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            }
          },
          "groupMode" : "NONE",
          "logicName" : "crm表格视图_表格",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          },
          "getPSControlHandler" : {
            "getPSHandlerActions" : [ {
              "actionName" : "Get",
              "actionType" : "DEACTION",
              "dataAccessAction" : "READ",
              "name" : "load",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Get"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            }, {
              "actionName" : "Create",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "create",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Create"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            }, {
              "actionName" : "Update",
              "actionType" : "DEACTION",
              "dataAccessAction" : "UPDATE",
              "name" : "update",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Update"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            }, {
              "actionName" : "Remove",
              "actionType" : "DEACTION",
              "dataAccessAction" : "DELETE",
              "name" : "remove",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Remove"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            }, {
              "actionName" : "GetDraft",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "loaddraft",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "GetDraft"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            }, {
              "actionType" : "DEDATASET",
              "name" : "fetch",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "FetchDefault"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            } ],
            "userDRAction" : "READ",
            "enableDEFieldPrivilege" : false,
            "id" : "数据表格处理器"
          },
          "getPSControlParam" : {
            "autoLoad" : true,
            "showBusyIndicator" : true
          },
          "getPSDEDataImport" : {
            "modelref" : true,
            "id" : "DataImport"
          },
          "getPSDEGridColumns" : [ {
            "align" : "LEFT",
            "cLConvertMode" : "NONE",
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.TESTNAME"
            },
            "caption" : "测试实体名称",
            "codeName" : "testname",
            "columnType" : "DEFGRIDCOLUMN",
            "dataItemName" : "testname",
            "excelCaption" : "测试实体名称",
            "name" : "testname",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "TESTNAME",
              "codeName" : "TESTName"
            },
            "width" : 150,
            "widthUnit" : "PX",
            "enableSort" : true
          }, {
            "align" : "LEFT",
            "cLConvertMode" : "FRONT",
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.UPDATEMAN"
            },
            "caption" : "更新人",
            "codeName" : "updateman",
            "columnType" : "DEFGRIDCOLUMN",
            "dataItemName" : "updateman",
            "excelCaption" : "更新人",
            "name" : "updateman",
            "noPrivDisplayMode" : 1,
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
            },
            "getPSAppDEField" : {
              "name" : "UPDATEMAN",
              "codeName" : "UpdateMan"
            },
            "width" : 150,
            "widthUnit" : "PX",
            "enableSort" : true
          }, {
            "align" : "LEFT",
            "cLConvertMode" : "NONE",
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.DATE"
            },
            "caption" : "日期",
            "codeName" : "date",
            "columnType" : "DEFGRIDCOLUMN",
            "dataItemName" : "date",
            "excelCaption" : "日期",
            "name" : "date",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "DATE",
              "codeName" : "Date"
            },
            "valueFormat" : "YYYY-MM-DD",
            "width" : 100,
            "widthUnit" : "PX",
            "enableSort" : true
          } ],
          "getPSDEGridDataItems" : [ {
            "dataType" : 25,
            "name" : "testname",
            "getPSAppDEField" : {
              "name" : "TESTNAME",
              "codeName" : "TESTName"
            }
          }, {
            "dataType" : 25,
            "name" : "updateman",
            "getPSAppDEField" : {
              "name" : "UPDATEMAN",
              "codeName" : "UpdateMan"
            }
          }, {
            "format" : "YYYY-MM-DD",
            "dataType" : 5,
            "name" : "date",
            "getPSAppDEField" : {
              "name" : "DATE",
              "codeName" : "Date"
            }
          }, {
            "dataType" : 25,
            "name" : "srfkey",
            "getPSAppDEField" : {
              "name" : "TESTID",
              "codeName" : "TESTId"
            }
          }, {
            "dataType" : 25,
            "name" : "srfdataaccaction",
            "getPSAppDEField" : {
              "name" : "TESTID",
              "codeName" : "TESTId"
            },
            "dataAccessAction" : true
          }, {
            "dataType" : 25,
            "name" : "srfmajortext",
            "getPSAppDEField" : {
              "name" : "TESTNAME",
              "codeName" : "TESTName"
            }
          } ],
          "getPSDEGridEditItems" : [ {
            "caption" : "测试实体标识",
            "codeName" : "srfkey",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "name" : "srfkey",
            "getPSAppDEField" : {
              "name" : "TESTID",
              "codeName" : "TESTId"
            },
            "getPSEditor" : {
              "editorType" : "HIDDEN",
              "name" : "srfkey"
            },
            "allowEmpty" : true
          } ],
          "pagingMode" : 1,
          "pagingSize" : 20,
          "getRemovePSControlAction" : {
            "actionName" : "Remove",
            "actionType" : "DEACTION",
            "dataAccessAction" : "DELETE",
            "name" : "remove",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Remove"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            }
          },
          "sortMode" : "REMOTE",
          "getUpdatePSControlAction" : {
            "actionName" : "Update",
            "actionType" : "DEACTION",
            "dataAccessAction" : "UPDATE",
            "name" : "update",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Update"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            }
          },
          "hasWFDataItems" : false,
          "enableColFilter" : false,
          "enableCustomized" : true,
          "enableGroup" : false,
          "enablePagingBar" : true,
          "enableRowEdit" : true,
          "enableRowEditOrder" : false,
          "enableRowNew" : true,
          "forceFit" : false,
          "hideHeader" : false,
          "noSort" : false,
          "singleSelect" : false,
          "name" : "mdctrl3_grid",
          "modelid" : "0E548E3F-D5CE-4D45-B9E3-374181013156",
          "modeltype" : "PSDEGRID"
        },
        "contentType" : "GRID",
        "detailStyle" : "DEFAULT",
        "detailType" : "MDCTRL",
        "name" : "mdctrl3",
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSUIActionGroup" : {
          "codeName" : "Ab435229a7cfc670d67",
          "name" : "表格界面行为组2",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          },
          "getPSUIActionGroupDetails" : [ {
            "caption" : "抽屉编辑",
            "detailType" : "DEUIACTION",
            "name" : "u638abac",
            "getPSUIAction" : {
              "actionTarget" : "SINGLEKEY",
              "caption" : "抽屉编辑",
              "codeName" : "drawer_edit",
              "getFrontPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTEditView_drawer.json",
                "viewType" : "DEEDITVIEW"
              },
              "frontProcessType" : "WIZARD",
              "fullCodeName" : "TEST_drawer_edit",
              "name" : "抽屉编辑",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              },
              "uIActionMode" : "FRONT",
              "uIActionTag" : "drawer_edit",
              "uIActionType" : "DEUIACTION",
              "id" : "drawer_edit@TEST"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          }, {
            "caption" : "选项操作",
            "detailType" : "DEUIACTION",
            "name" : "u80bf725",
            "getPSUIAction" : {
              "actionTarget" : "SINGLEKEY",
              "caption" : "选项操作",
              "codeName" : "OpenOptView",
              "getFrontPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTOptionView.json",
                "viewType" : "DEOPTVIEW"
              },
              "frontProcessType" : "WIZARD",
              "fullCodeName" : "TEST_OpenOptView",
              "name" : "选项操作",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              },
              "refreshMode" : 1,
              "uIActionMode" : "FRONT",
              "uIActionTag" : "OpenOptView",
              "uIActionType" : "DEUIACTION",
              "globalUIAction" : true,
              "reloadData" : true,
              "id" : "OpenOptView@TEST"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          } ],
          "uniqueTag" : "TEST__Ab435229a7cfc670d67"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      }, {
        "actionGroupExtractMode" : "ITEM",
        "buildInActions" : 7,
        "codeName" : "mdctrl4",
        "getContentPSControl" : {
          "codeName" : "KanbanDataview",
          "controlType" : "DATAVIEW",
          "getCreatePSControlAction" : {
            "modelref" : true,
            "id" : "create",
            "actionName" : "Create",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "create",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Create"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            }
          },
          "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSDATAVIEWS/KanbanDataview.json",
          "getFetchPSControlAction" : {
            "modelref" : true,
            "id" : "fetch",
            "actionType" : "DEDATASET",
            "name" : "fetch",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "FetchDefault"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            }
          },
          "getGetPSControlAction" : {
            "modelref" : true,
            "id" : "load",
            "actionName" : "Get",
            "actionType" : "DEACTION",
            "dataAccessAction" : "READ",
            "name" : "load",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Get"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            }
          },
          "groupHeight" : 1000,
          "groupLayout" : "ROW",
          "groupMode" : "CODELIST",
          "getGroupPSAppDEField" : {
            "name" : "TYPE",
            "codeName" : "Type"
          },
          "getGroupPSCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/Test__TestType.json"
          },
          "getGroupPSSysCss" : {
            "cssName" : "test"
          },
          "getGroupPSUIActionGroup" : {
            "codeName" : "A6913ed9bd0c3e7d614",
            "name" : "树表节点行为组",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            },
            "getPSUIActionGroupDetails" : [ {
              "buttonStyle" : "WARNING",
              "caption" : "百度",
              "detailType" : "DEUIACTION",
              "name" : "u5ee2086",
              "getPSSysImage" : {
                "glyph" : "xf00c@FontAwesome",
                "cssClass" : "fa fa-check"
              },
              "getPSUIAction" : {
                "actionTarget" : "NONE",
                "buttonStyle" : "WARNING",
                "caption" : "百度",
                "codeName" : "openBaidu",
                "counterId" : "openBaidu",
                "frontProcessType" : "OPENHTMLPAGE",
                "fullCodeName" : "openBaidu",
                "htmlPageUrl" : "https://www.baidu.com/",
                "name" : "百度_警告样式",
                "getPSAppCounter" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPCOUNTERS/UIActionCounter.json"
                },
                "uIActionMode" : "FRONT",
                "uIActionTag" : "openBaidu",
                "uIActionType" : "DEUIACTION"
              },
              "addSeparator" : true,
              "showCaption" : true,
              "showIcon" : true
            }, {
              "buttonStyle" : "DANGER",
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.EDIT"
              },
              "caption" : "编辑",
              "detailType" : "DEUIACTION",
              "name" : "u1feafb4",
              "getPSUIAction" : {
                "actionTarget" : "SINGLEKEY",
                "buttonStyle" : "DANGER",
                "getCapPSLanguageRes" : {
                  "lanResTag" : "TBB.TEXT.*.EDIT"
                },
                "caption" : "编辑",
                "codeName" : "Edit",
                "fullCodeName" : "Edit",
                "name" : "表格界面_编辑操作_危险样式",
                "getPSSysImage" : {
                  "glyph" : "xf044@FontAwesome",
                  "cssClass" : "fa fa-edit"
                },
                "predefinedType" : "GRIDVIEW_EDITACTION",
                "timeout" : 60000,
                "getTooltipPSLanguageRes" : {
                  "lanResTag" : "TBB.TOOLTIP.*.EDIT"
                },
                "uIActionMode" : "SYS",
                "uIActionTag" : "Edit",
                "uIActionType" : "DEUIACTION"
              },
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.EDIT"
              },
              "addSeparator" : true,
              "showCaption" : true,
              "showIcon" : false
            }, {
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.REMOVE"
              },
              "caption" : "删除",
              "detailType" : "DEUIACTION",
              "name" : "u4c6267d",
              "getPSSysImage" : {
                "cssClass" : "fa-solid fa-delete-left"
              },
              "getPSUIAction" : {
                "actionTarget" : "MULTIKEY",
                "getCapPSLanguageRes" : {
                  "lanResTag" : "TBB.TEXT.*.REMOVE"
                },
                "caption" : "删除",
                "codeName" : "Remove",
                "fullCodeName" : "Remove",
                "name" : "表格界面_删除操作",
                "getPSSysImage" : {
                  "glyph" : "xf00d@FontAwesome",
                  "cssClass" : "fa fa-remove"
                },
                "predefinedType" : "GRIDVIEW_REMOVEACTION",
                "timeout" : 60000,
                "getTooltipPSLanguageRes" : {
                  "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
                },
                "uIActionMode" : "SYS",
                "uIActionTag" : "Remove",
                "uIActionType" : "DEUIACTION"
              },
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
              },
              "addSeparator" : true,
              "showCaption" : true,
              "showIcon" : true
            } ],
            "uniqueTag" : "TEST__A6913ed9bd0c3e7d614"
          },
          "groupWidth" : 469,
          "logicName" : "看板卡片",
          "minorSortDir" : "DESC",
          "getMinorSortPSAppDEField" : {
            "name" : "ORDER",
            "codeName" : "Order"
          },
          "getMovePSControlAction" : {
            "modelref" : true,
            "id" : "move",
            "actionName" : "custom",
            "actionType" : "DEACTION",
            "name" : "move",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Custom"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            }
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          },
          "getPSControlHandler" : {
            "getPSHandlerActions" : [ {
              "actionName" : "Get",
              "actionType" : "DEACTION",
              "dataAccessAction" : "READ",
              "name" : "load",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Get"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            }, {
              "actionName" : "Create",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "create",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Create"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            }, {
              "actionName" : "Update",
              "actionType" : "DEACTION",
              "dataAccessAction" : "UPDATE",
              "name" : "update",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Update"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            }, {
              "actionName" : "Remove",
              "actionType" : "DEACTION",
              "dataAccessAction" : "DELETE",
              "name" : "remove",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Remove"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            }, {
              "actionName" : "custom",
              "actionType" : "DEACTION",
              "name" : "move",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Custom"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            }, {
              "actionType" : "DEDATASET",
              "name" : "fetch",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "FetchDefault"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            } ],
            "userDRAction" : "READ",
            "enableDEFieldPrivilege" : false,
            "id" : "数据视图处理器"
          },
          "getPSControlParam" : {
            "autoLoad" : true,
            "showBusyIndicator" : true
          },
          "getPSControls" : [ {
            "codeName" : "Usr04083945EditViewmdctrl4_dataview_quicktoolbar",
            "controlType" : "TOOLBAR",
            "logicName" : "自定义工具栏",
            "name" : "mdctrl4_dataview_quicktoolbar",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            },
            "getPSControlParam" : {
              "id" : "mdctrl4_dataview_quicktoolbar"
            },
            "getPSDEToolbarItems" : [ {
              "buttonStyle" : "DANGER",
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.EDIT"
              },
              "caption" : "编辑",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "deuiaction1",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "mdctrl4_dataview_quicktoolbar_deuiaction1"
              },
              "getPSSysImage" : {
                "glyph" : "xf044@FontAwesome",
                "cssClass" : "fa fa-edit"
              },
              "getPSUIAction" : {
                "actionTarget" : "SINGLEKEY",
                "buttonStyle" : "DANGER",
                "getCapPSLanguageRes" : {
                  "lanResTag" : "TBB.TEXT.*.EDIT"
                },
                "caption" : "编辑",
                "codeName" : "Edit",
                "fullCodeName" : "Edit",
                "name" : "表格界面_编辑操作_危险样式",
                "getPSSysImage" : {
                  "glyph" : "xf044@FontAwesome",
                  "cssClass" : "fa fa-edit"
                },
                "predefinedType" : "GRIDVIEW_EDITACTION",
                "timeout" : 60000,
                "getTooltipPSLanguageRes" : {
                  "lanResTag" : "TBB.TOOLTIP.*.EDIT"
                },
                "uIActionMode" : "SYS",
                "uIActionTag" : "Edit",
                "uIActionType" : "DEUIACTION"
              },
              "tooltip" : "编辑",
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.EDIT"
              },
              "uIActionTarget" : "SINGLEKEY",
              "showCaption" : true,
              "showIcon" : true
            }, {
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.NEW"
              },
              "caption" : "新建",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "deuiaction2",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "mdctrl4_dataview_quicktoolbar_deuiaction2"
              },
              "getPSSysImage" : {
                "glyph" : "xf0f6@FontAwesome",
                "cssClass" : "fa fa-file-text-o"
              },
              "getPSUIAction" : {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "TBB.TEXT.*.NEW"
                },
                "caption" : "新建",
                "codeName" : "New",
                "fullCodeName" : "New",
                "name" : "表格界面_新建操作",
                "getPSSysImage" : {
                  "glyph" : "xf0f6@FontAwesome",
                  "cssClass" : "fa fa-file-text-o"
                },
                "predefinedType" : "GRIDVIEW_NEWACTION",
                "refreshMode" : 1,
                "timeout" : 60000,
                "getTooltipPSLanguageRes" : {
                  "lanResTag" : "TBB.TOOLTIP.*.NEW"
                },
                "uIActionMode" : "SYS",
                "uIActionTag" : "New",
                "uIActionType" : "DEUIACTION",
                "reloadData" : true
              },
              "tooltip" : "新建",
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.NEW"
              },
              "showCaption" : true,
              "showIcon" : true
            } ],
            "modelid" : "59A640CD-E28E-448B-9613-AB4A2F3174D5",
            "modeltype" : "PSDETOOLBAR"
          } ],
          "getPSDEDataImport" : {
            "modelref" : true,
            "id" : "DataImport"
          },
          "getPSDEDataViewDataItems" : [ {
            "dataType" : 25,
            "name" : "testname",
            "getPSAppDEField" : {
              "name" : "TESTNAME",
              "codeName" : "TESTName"
            }
          }, {
            "dataType" : 25,
            "name" : "srfkey",
            "getPSAppDEField" : {
              "name" : "TESTID",
              "codeName" : "TESTId"
            }
          }, {
            "dataType" : 25,
            "name" : "srfmajortext",
            "getPSAppDEField" : {
              "name" : "TESTNAME",
              "codeName" : "TESTName"
            }
          } ],
          "getPSDEDataViewItems" : [ {
            "dataItemName" : "operate",
            "itemType" : "ACTIONITEM",
            "name" : "OPERATE",
            "getPSDEUIActionGroup" : {
              "codeName" : "Usr0313350928",
              "name" : "看板测试界面行为组",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              },
              "getPSUIActionGroupDetails" : [ {
                "actionLevel" : 50,
                "caption" : "看板测试界面行为1",
                "detailType" : "DEUIACTION",
                "name" : "u095768a",
                "getPSUIAction" : {
                  "actionLevel" : 50,
                  "actionTarget" : "MULTIKEY",
                  "caption" : "看板测试界面行为1",
                  "codeName" : "KO_T1",
                  "getFrontPSAppView" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTOptionView.json",
                    "viewType" : "DEOPTVIEW"
                  },
                  "frontProcessType" : "WIZARD",
                  "fullCodeName" : "TEST_KO_T1",
                  "name" : "看板测试界面行为1",
                  "getPSAppDataEntity" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                  },
                  "uIActionMode" : "FRONT",
                  "uIActionTag" : "KO_T1",
                  "uIActionType" : "DEUIACTION",
                  "id" : "KO_T1@TEST"
                },
                "addSeparator" : false,
                "showCaption" : true,
                "showIcon" : true
              }, {
                "actionLevel" : 200,
                "caption" : "看板测试界面行为2",
                "detailType" : "DEUIACTION",
                "name" : "u396eb9a",
                "getPSSysImage" : {
                  "glyph" : "xf0c9@FontAwesome",
                  "cssClass" : "fa fa-reorder"
                },
                "getPSUIAction" : {
                  "actionLevel" : 200,
                  "actionTarget" : "SINGLEKEY",
                  "caption" : "看板测试界面行为2",
                  "codeName" : "KO_T2",
                  "frontProcessType" : "EDITFORM",
                  "fullCodeName" : "TEST_KO_T2",
                  "name" : "看板测试界面行为2",
                  "getPSAppDataEntity" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                  },
                  "getPSDEEditForm" : {
                    "autoSaveMode" : 1,
                    "codeName" : "Simpleform",
                    "controlType" : "FORM",
                    "getCreatePSControlAction" : {
                      "modelref" : true,
                      "id" : "create",
                      "actionName" : "Create",
                      "actionType" : "DEACTION",
                      "dataAccessAction" : "CREATE",
                      "name" : "create",
                      "getPSAppDEMethod" : {
                        "modelref" : true,
                        "id" : "Create"
                      },
                      "getPSAppDataEntity" : {
                        "modelref" : true,
                        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                      }
                    },
                    "defaultLabelWidth" : 130,
                    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSFORMS/Simpleform.json",
                    "getGetDraftFromPSControlAction" : {
                      "modelref" : true,
                      "id" : "loaddraftfrom",
                      "actionName" : "GETDRAFTFROM",
                      "actionType" : "DEACTION",
                      "dataAccessAction" : "CREATE",
                      "name" : "loaddraftfrom",
                      "getPSAppDataEntity" : {
                        "modelref" : true,
                        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                      }
                    },
                    "getGetDraftPSControlAction" : {
                      "modelref" : true,
                      "id" : "loaddraft",
                      "actionName" : "GetDraft",
                      "actionType" : "DEACTION",
                      "dataAccessAction" : "CREATE",
                      "name" : "loaddraft",
                      "getPSAppDEMethod" : {
                        "modelref" : true,
                        "id" : "GetDraft"
                      },
                      "getPSAppDataEntity" : {
                        "modelref" : true,
                        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                      }
                    },
                    "getGetPSControlAction" : {
                      "modelref" : true,
                      "id" : "load",
                      "actionName" : "Get",
                      "actionType" : "DEACTION",
                      "dataAccessAction" : "READ",
                      "name" : "load",
                      "getPSAppDEMethod" : {
                        "modelref" : true,
                        "id" : "Get"
                      },
                      "getPSAppDataEntity" : {
                        "modelref" : true,
                        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                      }
                    },
                    "logicName" : "简单表单",
                    "getPSAppDataEntity" : {
                      "modelref" : true,
                      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                    },
                    "getPSControlHandler" : {
                      "getPSHandlerActions" : [ {
                        "actionName" : "GetDraft",
                        "actionType" : "DEACTION",
                        "dataAccessAction" : "CREATE",
                        "name" : "loaddraft",
                        "getPSAppDEMethod" : {
                          "modelref" : true,
                          "id" : "GetDraft"
                        },
                        "getPSAppDataEntity" : {
                          "modelref" : true,
                          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                        }
                      }, {
                        "actionName" : "GETDRAFTFROM",
                        "actionType" : "DEACTION",
                        "dataAccessAction" : "CREATE",
                        "name" : "loaddraftfrom",
                        "getPSAppDataEntity" : {
                          "modelref" : true,
                          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                        }
                      }, {
                        "actionName" : "Get",
                        "actionType" : "DEACTION",
                        "dataAccessAction" : "READ",
                        "name" : "load",
                        "getPSAppDEMethod" : {
                          "modelref" : true,
                          "id" : "Get"
                        },
                        "getPSAppDataEntity" : {
                          "modelref" : true,
                          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                        }
                      }, {
                        "actionName" : "Create",
                        "actionType" : "DEACTION",
                        "dataAccessAction" : "CREATE",
                        "name" : "create",
                        "getPSAppDEMethod" : {
                          "modelref" : true,
                          "id" : "Create"
                        },
                        "getPSAppDataEntity" : {
                          "modelref" : true,
                          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                        }
                      }, {
                        "actionName" : "Update",
                        "actionType" : "DEACTION",
                        "dataAccessAction" : "UPDATE",
                        "name" : "update",
                        "getPSAppDEMethod" : {
                          "modelref" : true,
                          "id" : "Update"
                        },
                        "getPSAppDataEntity" : {
                          "modelref" : true,
                          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                        }
                      }, {
                        "actionName" : "Remove",
                        "actionType" : "DEACTION",
                        "dataAccessAction" : "DELETE",
                        "name" : "remove",
                        "getPSAppDEMethod" : {
                          "modelref" : true,
                          "id" : "Remove"
                        },
                        "getPSAppDataEntity" : {
                          "modelref" : true,
                          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                        }
                      } ],
                      "enableDEFieldPrivilege" : false,
                      "id" : "编辑表单处理器"
                    },
                    "getPSControlParam" : {
                      "autoLoad" : true,
                      "showBusyIndicator" : true,
                      "id" : "form"
                    },
                    "getPSDEFormItems" : [ {
                      "id" : "srfupdatedate",
                      "hidden" : true,
                      "dataType" : 5,
                      "getPSAppDEField" : {
                        "name" : "UPDATEDATE",
                        "codeName" : "UpdateDate"
                      }
                    }, {
                      "id" : "srforikey",
                      "hidden" : true,
                      "dataType" : 25
                    }, {
                      "id" : "srfkey",
                      "hidden" : true,
                      "dataType" : 25,
                      "getPSAppDEField" : {
                        "name" : "TESTID",
                        "codeName" : "TESTId"
                      }
                    }, {
                      "id" : "srfmajortext",
                      "hidden" : true,
                      "dataType" : 25,
                      "getPSAppDEField" : {
                        "name" : "TESTNAME",
                        "codeName" : "TESTName"
                      }
                    }, {
                      "id" : "srftempmode",
                      "hidden" : true,
                      "dataType" : 25
                    }, {
                      "id" : "srfuf",
                      "hidden" : true,
                      "dataType" : 25
                    }, {
                      "id" : "srfdeid",
                      "hidden" : true,
                      "dataType" : 25
                    }, {
                      "id" : "srfsourcekey",
                      "hidden" : true,
                      "dataType" : 25
                    }, {
                      "id" : "testname",
                      "dataType" : 25,
                      "getPSAppDEField" : {
                        "name" : "TESTNAME",
                        "codeName" : "TESTName"
                      }
                    }, {
                      "id" : "type",
                      "dataType" : 25,
                      "getPSAppDEField" : {
                        "name" : "TYPE",
                        "codeName" : "Type"
                      }
                    }, {
                      "id" : "order",
                      "dataType" : 9,
                      "getPSAppDEField" : {
                        "name" : "ORDER",
                        "codeName" : "Order"
                      }
                    }, {
                      "id" : "testid",
                      "hidden" : true,
                      "dataType" : 25,
                      "getPSAppDEField" : {
                        "name" : "TESTID",
                        "codeName" : "TESTId"
                      }
                    } ],
                    "getPSDEFormPages" : [ {
                      "getCapPSLanguageRes" : {
                        "lanResTag" : "CONTROL.DEFORM.TEST.SIMPLEFORM.FORMPAGE.FORMPAGE1"
                      },
                      "caption" : "基本信息",
                      "codeName" : "formpage1",
                      "detailStyle" : "DEFAULT",
                      "detailType" : "FORMPAGE",
                      "name" : "formpage1",
                      "getPSDEFormDetails" : [ {
                        "getCapPSLanguageRes" : {
                          "lanResTag" : "DEF.LNAME.TESTNAME"
                        },
                        "caption" : "测试实体名称",
                        "codeName" : "testname",
                        "dataType" : 25,
                        "detailStyle" : "DEFAULT",
                        "detailType" : "FORMITEM",
                        "enableCond" : 3,
                        "ignoreInput" : 0,
                        "labelPos" : "LEFT",
                        "labelWidth" : 130,
                        "name" : "testname",
                        "noPrivDisplayMode" : 1,
                        "getPSAppDEField" : {
                          "name" : "TESTNAME",
                          "codeName" : "TESTName"
                        },
                        "getPSEditor" : {
                          "editorType" : "TEXTBOX",
                          "maxLength" : 50,
                          "minLength" : 3,
                          "name" : "testname"
                        },
                        "getPSLayoutPos" : {
                          "colMD" : 24,
                          "layout" : "TABLE_24COL"
                        },
                        "allowEmpty" : true,
                        "showCaption" : true
                      }, {
                        "getCapPSLanguageRes" : {
                          "lanResTag" : "DEF.LNAME.TYPE"
                        },
                        "caption" : "类型",
                        "codeName" : "type",
                        "dataType" : 25,
                        "detailStyle" : "DEFAULT",
                        "detailType" : "FORMITEM",
                        "enableCond" : 3,
                        "ignoreInput" : 0,
                        "labelPos" : "LEFT",
                        "labelWidth" : 130,
                        "name" : "type",
                        "noPrivDisplayMode" : 1,
                        "getPSAppDEField" : {
                          "name" : "TYPE",
                          "codeName" : "Type"
                        },
                        "getPSEditor" : {
                          "editorType" : "RADIOBUTTONLIST",
                          "name" : "type",
                          "getPSAppCodeList" : {
                            "modelref" : true,
                            "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/Test__TestType.json"
                          }
                        },
                        "getPSLayoutPos" : {
                          "colMD" : 24,
                          "layout" : "TABLE_24COL"
                        },
                        "allowEmpty" : true,
                        "needCodeListConfig" : true,
                        "showCaption" : true
                      }, {
                        "getCapPSLanguageRes" : {
                          "lanResTag" : "DEF.LNAME.ORDER"
                        },
                        "caption" : "排序属性",
                        "codeName" : "order",
                        "dataType" : 9,
                        "detailStyle" : "DEFAULT",
                        "detailType" : "FORMITEM",
                        "enableCond" : 3,
                        "ignoreInput" : 0,
                        "labelPos" : "LEFT",
                        "labelWidth" : 130,
                        "name" : "order",
                        "noPrivDisplayMode" : 1,
                        "getPSAppDEField" : {
                          "name" : "ORDER",
                          "codeName" : "Order"
                        },
                        "getPSEditor" : {
                          "editorType" : "TEXTBOX",
                          "name" : "order"
                        },
                        "getPSLayoutPos" : {
                          "colMD" : 24,
                          "layout" : "TABLE_24COL"
                        },
                        "allowEmpty" : true,
                        "showCaption" : true
                      }, {
                        "getCapPSLanguageRes" : {
                          "lanResTag" : "DEF.LNAME.TESTID"
                        },
                        "caption" : "测试实体标识",
                        "codeName" : "testid",
                        "dataType" : 25,
                        "detailStyle" : "DEFAULT",
                        "detailType" : "FORMITEM",
                        "enableCond" : 3,
                        "ignoreInput" : 0,
                        "labelPos" : "LEFT",
                        "labelWidth" : 130,
                        "name" : "testid",
                        "noPrivDisplayMode" : 1,
                        "getPSAppDEField" : {
                          "name" : "TESTID",
                          "codeName" : "TESTId"
                        },
                        "getPSEditor" : {
                          "editorType" : "HIDDEN",
                          "name" : "testid"
                        },
                        "getPSLayoutPos" : {
                          "colMD" : 24,
                          "layout" : "TABLE_24COL"
                        },
                        "allowEmpty" : true,
                        "hidden" : true
                      } ],
                      "getPSLayout" : {
                        "childColMD" : 24,
                        "columnCount" : 24,
                        "layout" : "TABLE_24COL"
                      },
                      "infoGroupMode" : false
                    } ],
                    "getPSLayout" : {
                      "childColMD" : 24,
                      "columnCount" : 24,
                      "layout" : "TABLE_24COL"
                    },
                    "getRemovePSControlAction" : {
                      "modelref" : true,
                      "id" : "remove",
                      "actionName" : "Remove",
                      "actionType" : "DEACTION",
                      "dataAccessAction" : "DELETE",
                      "name" : "remove",
                      "getPSAppDEMethod" : {
                        "modelref" : true,
                        "id" : "Remove"
                      },
                      "getPSAppDataEntity" : {
                        "modelref" : true,
                        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                      }
                    },
                    "tabHeaderPos" : "TOP",
                    "getUpdatePSControlAction" : {
                      "modelref" : true,
                      "id" : "update",
                      "actionName" : "Update",
                      "actionType" : "DEACTION",
                      "dataAccessAction" : "UPDATE",
                      "name" : "update",
                      "getPSAppDEMethod" : {
                        "modelref" : true,
                        "id" : "Update"
                      },
                      "getPSAppDataEntity" : {
                        "modelref" : true,
                        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                      }
                    },
                    "enableAutoSave" : true,
                    "noTabHeader" : true,
                    "name" : "form",
                    "modelid" : "0C16F312-69FB-479A-87A2-2FCA71659888",
                    "modeltype" : "PSDEFORM_EDITFORM"
                  },
                  "getPSNavigateParams" : [ {
                    "key" : "modaloption",
                    "name" : "modaloption",
                    "value" : "{\"placement\":\"right\",\"width\":300}",
                    "rawValue" : true
                  } ],
                  "getPSSysImage" : {
                    "glyph" : "xf0c9@FontAwesome",
                    "cssClass" : "fa fa-reorder"
                  },
                  "uIActionMode" : "FRONT",
                  "uIActionParamJO" : {
                    "modalOption" : {
                      "placement" : "right",
                      "width" : 300
                    }
                  },
                  "uIActionTag" : "KO_T2",
                  "uIActionType" : "DEUIACTION",
                  "id" : "KO_T2@TEST"
                },
                "addSeparator" : false,
                "showCaption" : true,
                "showIcon" : true
              } ],
              "uniqueTag" : "TEST__Usr0313350928"
            },
            "enableSort" : false
          }, {
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.TESTNAME"
            },
            "caption" : "测试实体名称",
            "dataItemName" : "testname",
            "itemType" : "DATAITEM",
            "name" : "TESTNAME",
            "getPSAppDEField" : {
              "name" : "TESTNAME",
              "codeName" : "TESTName"
            },
            "enableSort" : true
          } ],
          "pagingMode" : 1,
          "pagingSize" : 1000,
          "getRemovePSControlAction" : {
            "modelref" : true,
            "id" : "remove",
            "actionName" : "Remove",
            "actionType" : "DEACTION",
            "dataAccessAction" : "DELETE",
            "name" : "remove",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Remove"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            }
          },
          "getUpdatePSControlAction" : {
            "modelref" : true,
            "id" : "update",
            "actionName" : "Update",
            "actionType" : "DEACTION",
            "dataAccessAction" : "UPDATE",
            "name" : "update",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Update"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            }
          },
          "hasWFDataItems" : false,
          "appendDEItems" : false,
          "enableCardEdit" : false,
          "enableCardEditGroup" : false,
          "enableCardEditOrder" : false,
          "enableCardNew" : false,
          "enableGroup" : true,
          "enablePagingBar" : true,
          "noSort" : false,
          "singleSelect" : false,
          "name" : "mdctrl4_dataview",
          "modelid" : "1743C932-3501-49D0-9125-E205126398EA",
          "modeltype" : "PSDEDATAVIEW"
        },
        "contentType" : "DATAVIEW",
        "detailStyle" : "DEFAULT",
        "detailType" : "MDCTRL",
        "name" : "mdctrl4",
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSUIActionGroup" : {
          "codeName" : "Usr0614621049",
          "name" : "界面逻辑",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          },
          "getPSUIActionGroupDetails" : [ {
            "caption" : "界面逻辑1",
            "detailType" : "DEUIACTION",
            "name" : "ucf40323",
            "getPSUIAction" : {
              "actionTarget" : "SINGLEKEY",
              "caption" : "界面逻辑1",
              "codeName" : "UILogic",
              "frontProcessType" : "WIZARD",
              "fullCodeName" : "TEST_UILogic",
              "name" : "界面逻辑1",
              "getPSAppDEUILogic" : {
                "modelref" : true,
                "id" : "UILogic1"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              },
              "uIActionMode" : "FRONT",
              "uIActionTag" : "UILogic",
              "uIActionType" : "DEUIACTION",
              "uILogicAttachMode" : "REPLACE",
              "id" : "UILogic@TEST"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          } ],
          "uniqueTag" : "TEST__Usr0614621049"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      }, {
        "codeName" : "grouppanel1",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "name" : "grouppanel1",
        "getPSDEFormDetails" : [ {
          "actionGroupExtractMode" : "ITEM",
          "buildInActions" : 7,
          "codeName" : "mdctrl5",
          "contentType" : "REPEATER",
          "detailStyle" : "DEFAULT",
          "detailType" : "MDCTRL",
          "name" : "mdctrl5",
          "getPSDEFormDetails" : [ {
            "codeName" : "type",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "name" : "type",
            "noPrivDisplayMode" : 1,
            "getPSEditor" : {
              "editorType" : "TEXTBOX",
              "name" : "type"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "allowEmpty" : true,
            "repeatContent" : true,
            "showCaption" : true
          } ],
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSUIActionGroup" : {
            "name" : "打开百度",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            },
            "getPSUIActionGroupDetails" : [ {
              "caption" : "百度",
              "detailType" : "DEUIACTION",
              "name" : "ue84b897",
              "getPSUIAction" : {
                "actionTarget" : "NONE",
                "caption" : "百度",
                "codeName" : "openbaidu",
                "frontProcessType" : "OPENHTMLPAGE",
                "fullCodeName" : "TEST_openbaidu",
                "htmlPageUrl" : "https://www.baidu.com/",
                "name" : "打开百度",
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                },
                "uIActionMode" : "FRONT",
                "uIActionTag" : "openbaidu",
                "uIActionType" : "DEUIACTION",
                "id" : "openbaidu@TEST"
              },
              "addSeparator" : false,
              "showCaption" : true,
              "showIcon" : true
            } ]
          },
          "infoGroupMode" : false,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      }, {
        "actionGroupExtractMode" : "ITEM",
        "codeName" : "grouppanel2",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "name" : "grouppanel2",
        "getPSDEFormDetails" : [ {
          "buildInActions" : 7,
          "codeName" : "mdctrl6",
          "contentType" : "REPEATER",
          "detailStyle" : "STYLE2",
          "detailType" : "MDCTRL",
          "name" : "mdctrl6",
          "getPSDEFormDetails" : [ {
            "codeName" : "field20",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "name" : "field20",
            "noPrivDisplayMode" : 1,
            "getPSEditor" : {
              "editorType" : "TEXTBOX",
              "name" : "field20"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "allowEmpty" : true,
            "repeatContent" : true,
            "showCaption" : true
          }, {
            "getCapPSLanguageRes" : {
              "lanResTag" : "CONTROL.DEFORM.TEST.USR04083945EDITVIEW_FORM.FORMITEM.FIELD15"
            },
            "caption" : "属性15",
            "codeName" : "field15",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "name" : "field15",
            "noPrivDisplayMode" : 1,
            "getPSEditor" : {
              "editorType" : "TEXTBOX",
              "name" : "field15"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "allowEmpty" : true,
            "repeatContent" : true,
            "showCaption" : true
          } ],
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "infoGroupMode" : false,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSUIActionGroup" : {
          "codeName" : "Usr0614621049",
          "name" : "界面逻辑",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          },
          "getPSUIActionGroupDetails" : [ {
            "caption" : "界面逻辑1",
            "detailType" : "DEUIACTION",
            "name" : "ucf40323",
            "getPSUIAction" : {
              "actionTarget" : "SINGLEKEY",
              "caption" : "界面逻辑1",
              "codeName" : "UILogic",
              "frontProcessType" : "WIZARD",
              "fullCodeName" : "TEST_UILogic",
              "name" : "界面逻辑1",
              "getPSAppDEUILogic" : {
                "modelref" : true,
                "id" : "UILogic1"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              },
              "uIActionMode" : "FRONT",
              "uIActionTag" : "UILogic",
              "uIActionType" : "DEUIACTION",
              "uILogicAttachMode" : "REPLACE",
              "id" : "UILogic@TEST"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          } ],
          "uniqueTag" : "TEST__Usr0614621049"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.TESTID"
        },
        "caption" : "测试实体标识",
        "codeName" : "testid",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "testid",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "TESTID",
          "codeName" : "TESTId"
        },
        "getPSEditor" : {
          "editorType" : "HIDDEN",
          "name" : "testid"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "hidden" : true
      } ],
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "CONTROL.DEFORM.TEST.USR04083945EDITVIEW_FORM.FORMPAGE.FORMPAGE2"
      },
      "caption" : "其它",
      "codeName" : "formpage2",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "name" : "formpage2",
      "getPSDEFormDetails" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "CONTROL.DEFORM.TEST.USR04083945EDITVIEW_FORM.GROUPPANEL.GROUP2"
        },
        "caption" : "操作信息",
        "codeName" : "group2",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "name" : "group2",
        "getPSDEFormDetails" : [ {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.CREATEMAN"
          },
          "caption" : "建立人",
          "codeName" : "createman",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 3,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "createman",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "CREATEMAN",
            "codeName" : "CreateMan"
          },
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "createman",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
            },
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "convertToCodeItemText" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.CREATEDATE"
          },
          "caption" : "建立时间",
          "codeName" : "createdate",
          "dataType" : 5,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 3,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "createdate",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "CREATEDATE",
            "codeName" : "CreateDate"
          },
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "createdate",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "valueFormat" : "YYYY-MM-DD HH:mm:ss",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.UPDATEMAN"
          },
          "caption" : "更新人",
          "codeName" : "updateman",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 3,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "updateman",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "UPDATEMAN",
            "codeName" : "UpdateMan"
          },
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "updateman",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
            },
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "convertToCodeItemText" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.UPDATEDATE"
          },
          "caption" : "更新时间",
          "codeName" : "updatedate",
          "dataType" : 5,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 3,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "updatedate",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "UPDATEDATE",
            "codeName" : "UpdateDate"
          },
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "updatedate",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "valueFormat" : "YYYY-MM-DD HH:mm:ss",
          "allowEmpty" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColMD" : 24,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "getRemovePSControlAction" : {
      "modelref" : true,
      "id" : "remove",
      "actionName" : "Remove",
      "actionType" : "DEACTION",
      "dataAccessAction" : "DELETE",
      "name" : "remove",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "tabHeaderPos" : "TOP",
    "getUpdatePSControlAction" : {
      "modelref" : true,
      "id" : "update",
      "actionName" : "Update",
      "actionType" : "DEACTION",
      "dataAccessAction" : "UPDATE",
      "name" : "update",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Update"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "noTabHeader" : false,
    "name" : "form",
    "modelid" : "118B41AB-8B9B-472E-9331-14373B0FA00D",
    "modeltype" : "PSDEFORM_EDITFORM"
  }, {
    "codeName" : "Usr04083945EditViewdatainfobar",
    "controlType" : "DATAINFOBAR",
    "name" : "datainfobar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : {
      "id" : "datainfobar"
    }
  }, {
    "getCapPSLanguageRes" : {
      "lanResTag" : "PAGE.CAPTION.TEST.USR04083945EDITVIEW"
    },
    "caption" : "测试多数据支持界面行为",
    "codeName" : "Usr04083945EditViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "Usr04083945EditView",
  "getPSDEViewId" : "E199D1A5-5363-44A6-AEAD-F6004F7A94B1",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEEDITVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "测试多数据支持界面行为",
  "getTitlePSLanguageRes" : {
    "lanResTag" : "PAGE.TITLE.TEST.USR04083945EDITVIEW"
  },
  "viewStyle" : "DEFAULT",
  "viewType" : "DEEDITVIEW",
  "xDataControlName" : "form",
  "enableDP" : true,
  "showDataInfoBar" : true,
  "modelid" : "8c8b235b7e2a716e0e2a973450e5caf1",
  "modeltype" : "PSAPPDEVIEW"
}